Bug 32550 - 'Clear on loan' link on Batch item modification doesn't untick on loan items
Summary: 'Clear on loan' link on Batch item modification doesn't untick on loan items
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: Main
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 28445
Blocks: 31611
  Show dependency treegraph
 
Reported: 2022-12-30 01:23 UTC by Alex Buckley
Modified: 2023-06-08 22:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.02


Attachments
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod (1.38 KB, patch)
2023-01-03 13:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod (1.43 KB, patch)
2023-01-03 18:30 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod (1.53 KB, patch)
2023-01-13 10:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2022-12-30 01:23:02 UTC
Steps to replicate:

1. Enter a checked-out barcode in the 'Batch item modification' page 
2. Click 'Continue'
3. Notice a table is loaded displaying the on-loan item with a ticked checkbox 4. Click the 'Clear on loan' link above the table
5. Notice the on-loan item still has a ticked checkbox

Notes:
The 'Clear on loan' link was added in bug 10599
Comment 1 Jonathan Druart 2023-01-03 13:02:09 UTC
Created attachment 144934 [details] [review]
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod

The 'Clear on loan' link displayed at the top of the batch item
modification tool has been broken by bug 28445.

data-is-onloan attribute is supposed to be 1 or 0, but we passed the
checkout (Koha::Checkout=HASH)

Test plan:
1. Enter a checked-out barcode in the 'Batch item modification' page
2. Click 'Continue'
3. Notice a table is loaded displaying the on-loan item with a ticked checkbox 4. Click the 'Clear on loan' link above the table
5. Notice the on-loan item is no longer selected
Comment 2 Lucas Gass 2023-01-03 18:30:41 UTC
Created attachment 144955 [details] [review]
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod

The 'Clear on loan' link displayed at the top of the batch item
modification tool has been broken by bug 28445.

data-is-onloan attribute is supposed to be 1 or 0, but we passed the
checkout (Koha::Checkout=HASH)

Test plan:
1. Enter a checked-out barcode in the 'Batch item modification' page
2. Click 'Continue'
3. Notice a table is loaded displaying the on-loan item with a ticked checkbox 4. Click the 'Clear on loan' link above the table
5. Notice the on-loan item is no longer selected

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Marcel de Rooy 2023-01-13 10:45:05 UTC
Created attachment 145259 [details] [review]
Bug 32550: (bug 28445 follow-up) Fix 'Clear on loan' link on item batch mod

The 'Clear on loan' link displayed at the top of the batch item
modification tool has been broken by bug 28445.

data-is-onloan attribute is supposed to be 1 or 0, but we passed the
checkout (Koha::Checkout=HASH)

Test plan:
1. Enter a checked-out barcode in the 'Batch item modification' page
2. Click 'Continue'
3. Notice a table is loaded displaying the on-loan item with a ticked checkbox 4. Click the 'Clear on loan' link above the table
5. Notice the on-loan item is no longer selected

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2023-01-18 16:00:34 UTC
Nice work everyone!

Pushed to 23.05.x for the next release
Comment 5 Jacob O'Mara 2023-01-18 17:21:37 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.